Subject: bug#35157: 26.1; MacOSX Fixed Width Osaka Regular-Mono is variable width

From: Alan Third <[email-masked]>
Date: Sat, 6 Apr 2019 16:41:28 +0100

tags 35157 notabug
close 35157
quit

On Fri, Apr 05, 2019 at 08:32:13AM -0400, Devon Sean McCullough wrote:
> In MacOSX Emacs: Options > Set Default Font... > Fixed Width > Osaka
> 
> The "Osaka" font is misplaced in the "Fixed Width" collection:
> spaces are narrower than letters and ->
> 	<- tab is three numerals wide.
> 0123456789
> Variable Width fonts shouldn’t be advertised as Fixed Width.

Unfortunately that font selection dialogue is a macOS feature, not an
Emacs one, so we’re not able to modify its behaviour. I can only
assume that the font incorrectly identifies itself as fixed width.

> P.S. Emacs shows characters like (insert ?\N{THUMBS UP SIGN}) 👍 as
> blank space - surely some sort of visible glyph, fallback font or
> highlight in the fashion of makefile-space would be better?

If you install Symbola (http://users.teilar.gr/~g1951d/) then it
should act as a fall‐back.
-- 
Alan Third